> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Update badge reward



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json patch /community/{id}/badge/{badgeId}/reward/{rewardId}
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/badge/{badgeId}/reward/{rewardId}:
    patch:
      tags:
        - Community Badges
      summary: Update badge reward
      operationId: CommunityBadgeController_updateBadgeReward
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
        - name: badgeId
          required: true
          in: path
          description: Badge ID
          schema:
            type: string
        - name: rewardId
          required: true
          in: path
          description: Reward ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBadgeRewardDto'
      responses:
        '200':
          description: Badge reward updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadgeRewardDto'
      deprecated: true
      security:
        - apiKey: []
components:
  schemas:
    UpdateBadgeRewardDto:
      type: object
      properties:
        name:
          type: string
        image:
          type: string
        provider:
          type: string
          enum:
            - Vault
        type:
          type: string
          enum:
            - native
            - erc20
            - erc721
            - erc1155
            - points
        status:
          type: string
          enum:
            - open
            - pending
            - sent
        vaultId:
          type: string
        contract:
          type: string
        chainId:
          type: string
        amount:
          type: array
          items:
            type: string
        description:
          type: string
        endDate:
          format: date-time
          type: string
        maxSpend:
          type: number
        transactionHash:
          type: string
    BadgeRewardDto:
      type: object
      properties:
        id:
          type: string
        image:
          type: string
        provider:
          type: string
          enum:
            - Vault
        providerImage:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - native
            - erc20
            - erc721
            - erc1155
            - points
        status:
          type: string
          enum:
            - open
            - pending
            - sent
        vaultId:
          type: string
        contract:
          type: string
        chainId:
          type: string
        amount:
          type: array
          items:
            type: number
        description:
          type: string
        endDate:
          format: date-time
          type: string
        maxSpend:
          type: number
        transactionHash:
          type: string
        deletedAt:
          format: date-time
          type: string
        sentAt:
          format: date-time
          type: string
      required:
        - id
        - image
        - provider
        - providerImage
        - name
        - type
        - status
        - amount
        - description
        - endDate
        - maxSpend
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````